App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
mhr.appcore.commands.core.ResizeImageCommand Class Reference

Třída zapouzdřující příkaz pro převzorkování obrazu. More...

Inheritance diagram for mhr.appcore.commands.core.ResizeImageCommand:

## Classes
enum | ResizeAction

## Public Member Functions
| ResizeImageCommand (int w, int h, InterpolatorType type, double force, ResizeAction action)
| Výchozí konstruktor.
void | setPDFeedback (PDFeedback f)
| Nastaví zpětnou vazbu, která má být provedena po vykonání příkazu.
void | setPDExceptionFeedback (PDFeedback ef)
| Nastaví zpětnou vazbu, která má být provedena v případě neodchycené výjimky, která nastala při vykonávání příkazu.
void | execute (AppCore target)
| Zpustí provedení příkazu na dané instanci jádra aplikace.
void | dispose ()
| Způsobí uvolnění nativních prostředků.

## Public Attributes
int | newWidth
int | newHeight
InterpolatorType | iType
double | force
ResizeAction | action
RuntimeException | e = null
| Výjimka, která nastale běhěm vykonávání příkazu. Bude nastavena pouze, pokud exceptionFeedback != null.

## Protected Member Functions
void | action (AppCore target)
| Akce, která se má po spuštění provést.

## Protected Attributes
PDFeedback | feedback = null
| Platformě závislá zpětná vazba, která má být spuštěna po provedení příkazu.
PDFeedback | exceptionFeedback = null
| Platformě závislá zpětná vazba, která má být spuštěna, pokud při provádění příkazu dojde k RuntimeException, později pravděpodobně bude omezeno.

## Detailed Description

Třída zapouzdřující příkaz pro převzorkování obrazu.

Definition at line 11 of file ResizeImageCommand.java.

## Constructor & Destructor Documentation

mhr.appcore.commands.core.ResizeImageCommand.ResizeImageCommand | ( | int | w,
|  | int | h,
|  | InterpolatorType | type,
|  | double | force,
|  | ResizeAction | action
| ) |  |
| inline

Výchozí konstruktor.

Parameters

  w | šířka
  h | výška
  type | typ interpolátoru
  force | síla antialiasingu
  action | typ akce

Definition at line 31 of file ResizeImageCommand.java.

{
newWidth = w;
newHeight = h;
iType = type;
this.force = force;
this.action = action;
}

## Member Function Documentation

void mhr.appcore.commands.core.ResizeImageCommand.action | ( | AppCore | target | ) |
| inlineprotectedvirtual

Akce, která se má po spuštění provést.

Parameters

  target |

Implements mhr.appcore.commands.AppCommand.

Definition at line 40 of file ResizeImageCommand.java.

{
target.resizeImage(this);
}

void mhr.appcore.commands.AppCommand.dispose | ( |  | ) |
| inlineinherited

Způsobí uvolnění nativních prostředků.

Pokud v případě neprovedení příkazu, například kvůli odstranění z fronty díky vyjímce, by mohlo dojít k memory leaku, musí třída přepsat toto chování.

Definition at line 62 of file AppCommand.java.

{
}

void mhr.appcore.commands.AppCommand.execute | ( | AppCore | target | ) |
| inlineinherited

Zpustí provedení příkazu na dané instanci jádra aplikace.

Parameters

  target |

Definition at line 34 of file AppCommand.java.

{
try {
action(target);
} catch (RuntimeException e) {
if (exceptionFeedback != null) {
this.e = e;
exceptionFeedback.feedback();
return;
} else {
throw e;
}
}
if (feedback != null) {
feedback.feedback();
}
}

void mhr.appcore.commands.AppCommand.setPDExceptionFeedback | ( | PDFeedback | ef | ) |
| inlineinherited

Nastaví zpětnou vazbu, která má být provedena v případě neodchycené výjimky, která nastala při vykonávání příkazu.

Parameters

  ef |

Definition at line 26 of file AppCommand.java.

{
this.exceptionFeedback = ef;
}

void mhr.appcore.commands.AppCommand.setPDFeedback | ( | PDFeedback | f | ) |
| inlineinherited

Nastaví zpětnou vazbu, která má být provedena po vykonání příkazu.

Parameters

  f |

Definition at line 18 of file AppCommand.java.

{
this.feedback = f;
}

## Member Data Documentation

ResizeAction mhr.appcore.commands.core.ResizeImageCommand.action

Definition at line 17 of file ResizeImageCommand.java.

RuntimeException mhr.appcore.commands.AppCommand.e = null
| inherited

Výjimka, která nastale běhěm vykonávání příkazu. Bude nastavena pouze, pokud exceptionFeedback != null.

Definition at line 12 of file AppCommand.java.

PDFeedback mhr.appcore.commands.AppCommand.exceptionFeedback = null
| protectedinherited

Platformě závislá zpětná vazba, která má být spuštěna, pokud při provádění příkazu dojde k RuntimeException, později pravděpodobně bude omezeno.

Definition at line 10 of file AppCommand.java.

PDFeedback mhr.appcore.commands.AppCommand.feedback = null
| protectedinherited

Platformě závislá zpětná vazba, která má být spuštěna po provedení příkazu.

Definition at line 9 of file AppCommand.java.

double mhr.appcore.commands.core.ResizeImageCommand.force

Definition at line 16 of file ResizeImageCommand.java.

InterpolatorType mhr.appcore.commands.core.ResizeImageCommand.iType

Definition at line 15 of file ResizeImageCommand.java.

int mhr.appcore.commands.core.ResizeImageCommand.newHeight

Definition at line 14 of file ResizeImageCommand.java.

int mhr.appcore.commands.core.ResizeImageCommand.newWidth

Definition at line 13 of file ResizeImageCommand.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/commands/core/ResizeImageCommand.java